package providers

type ProviderType int // Тип конфигурации

// Провайдеры конфигурации
const (
	FILE   = iota + 1 // https://github.com/spf13/viper
	ETCD              // https://etcd.io
	REDIS             // https://redis.io
	BADGER            // https://github.com/dgraph-io/badger
)

type FileConfig struct {
	FileName string
}

func getList() []ProviderType {
	return []ProviderType{FILE, ETCD, REDIS, BADGER}
}
